# kjs Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KJS::Reference Class Reference

This class or method is obsolete, it is provided for compatibility only. More...

`#include <types.h>`

Inheritance diagram for KJS::Reference:

[legend]
Collaboration diagram for KJS::Reference:

[legend]
List of all members.

## Public Member Functions

| Reference (const Object &b, const UString &p)
| Reference (const Null &b, const UString &p)
| Reference (ReferenceImp *v)
| Reference (const Reference &v)
| Reference (const Value &v)
Reference & | operator= (const Reference &v)

## Static Public Member Functions

Reference | dynamicCast (const Value &v)

## Detailed Description

This class or method is obsolete, it is provided for compatibility only.

Definition at line 38 of file types.h.

The documentation for this class was generated from the following files:

- types.h
- types.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:09:18 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001